C+
C NAME:
C	airplane(night,iframe,i)
C PURPOSE:
C	Stamp out airplanes in TMO data
C CATEGORY:
C	SMEI Data processing
C CALLING SEQUENCE:
C	airplane(night,iframe,i)
C INPUTS:
C	night			night number
C	iframe			frame number
c	j			row number
C OUTPUTS:
C	integer
C CALLS:
C       none
C PROCEDURE:
C	Big tables, done by hand
C	airplane=0 -> no airplanes, airplane=1 -> airplane needs stamping out
C MODIFICATION HISTORY:
C	Jan, 2003 A. Buffington (UCSD/CASS)
C-
	Integer Function airplane(night,iframe,i)
	
	airplane=0

c	stamp out columns in selected frames containing airplane transits
	if(night.eq.42) then
     	if(iframe.eq.32.and.iabs(i-150).lt.30)airplane=1      !!(begin night 42)
     	if(iframe.eq.36.and.iabs(i-92).lt.18)airplane=1
     	if(iframe.eq.45.and.iabs(i-120).lt.20)airplane=1
     	if(iframe.eq.55.and.iabs(i-500).lt.40)airplane=1
     	if(iframe.eq.67.and.iabs(i-770).lt.40)airplane=1
     	if(iframe.eq.87.and.iabs(i-230).lt.20)airplane=1
	if(iframe.eq.89.and.iabs(i-243).lt.23)airplane=1
     	if(iframe.eq.91.and.iabs(i- 84).lt.16)airplane=1
     	if(iframe.eq.225.and.iabs(i-330).lt.40)airplane=1
     	if(iframe.eq.235.and.i.gt.1239)airplane=1
     	if(iframe.eq.341.and.iabs(i-150).lt.20)airplane=1
     	if(iframe.lt.2.and.iabs(i-459).lt.2)airplane=1         !!(end night 42)
	endif

	if(night.eq.41)then
     	if(iframe.eq.22.and.iabs(i-160).lt.20)airplane=1      !!(begin night 41)
     	if(iframe.eq.37.and.iabs(i-45).lt.15)airplane=1
     	if(iframe.eq.42.and.iabs(i-180).lt.20)airplane=1
     	if(iframe.eq.48.and.iabs(i-730).lt.100)airplane=1
     	if(iframe.eq.82.and.iabs(i-172).lt.19)airplane=1
     	if(iframe.eq.105.and.iabs(i-55).lt.15)airplane=1
     	if(iframe.eq.303.and.iabs(i-860).lt.20)airplane=1
     	if(iframe.eq.340.and.iabs(i-80).lt.20)airplane=1
     	if(iframe.lt.4.and.iabs(i-459).lt.2)airplane=1        !!(end night 41)
	endif

	if(night.eq.40)then
     	if(iframe.eq.41.and.i.gt.1189)airplane=1             !!(begin night 40)
     	if(iframe.eq.62.and.iabs(i-1005).lt.45)airplane=1
     	if(iframe.eq.46.and.iabs(i-95).lt.15)airplane=1
     	if(iframe.eq.119.and.iabs(i-250).lt.21)airplane=1
     	if(iframe.eq.153.and.iabs(i-166).lt.19)airplane=1
     	if(iframe.eq.381.and.i.lt.55)airplane=1
     	if(iframe.eq.416.and.iabs(i-45).lt.15)airplane=1
     	if(iframe.eq.515.and.iabs(i-750).lt.10)airplane=1
     	if(iframe.eq.12.and.iabs(i-165).lt.15)airplane=1
     	if(iframe.lt.15.and.iabs(i-459).lt.2)airplane=1         !!(end night 40)
	endif

	return
	end
